MessageLogger (JBoss Logging I18n Documentation 2.1.0.Final API)

org.jboss.logging.annotations

## Annotation Type MessageLogger

-     @Retention(value=CLASS)
       @Target(value=TYPE)
       @Documented
      public @interface MessageLogger

  Signify that an interface is a typed logger interface. A message logger interface may optionally extend other message logger interfaces and message bundle interfaces (see `MessageBundle`, as well as the `BasicLogger` interface.
  Author:
    David M. Lloyd

- - ### Required Element Summary

    Required Elements
    Modifier and Type | Required Element and Description
    --- | ---
    `String` | `projectCode` Get the project code for messages that have an associated code.

  - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `int` | `length` The length of the padding used for each id in the message bundle.
    `String` | `rootLocale` Specifies the locale for formatting bundle messages.

- - ### Element Detail

    - #### projectCode

          public abstract String projectCode

      Get the project code for messages that have an associated code. If no project code is associated with this logger, specify `""` (the empty string).
      Returns:
        the project code

  - - #### length

          public abstract int length

      The length of the padding used for each id in the message bundle. For example given the default padding length of 6 and a message with an id of 100 would result would be `"000100"`.

      Valid values a range of 3 to 8. Any value less than 0 turns off padding. Any other value will result in an error being produced.
      Returns:
        the length the id should be padded
      Default:
        6

  - - #### rootLocale

          public abstract String rootLocale

      Specifies the locale for formatting bundle messages. This is only used in the super implementation. Subclasses will define their own locale to use based on the name of the resource bundle at compile time.

      An empty string will default to `Locale.ROOT`.

      A non-empty string will be parsed by the `Locale.forLanguageTag(String)`. This uses the IETF BCP 47 format.

      Returns:
        the default locale message bundles should use for formatting messages
      Default:
        ""

Copyright © 2017 JBoss by Red Hat. All rights reserved.